Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class UpdateManager.UpdateManagerRunHander

    java.lang.Object
      org.apache.batik.util.RunnableQueue.RunHandlerAdapter
          org.apache.batik.bridge.UpdateManager.UpdateManagerRunHander

All Implemented Interfaces:
  RunnableQueue.RunHandler

Enclosing class:
  UpdateManager

    protected class UpdateManager.UpdateManagerRunHander

extends RunnableQueue.RunHandlerAdapter

Constructor Summary
`protected` | `UpdateManager.UpdateManagerRunHander()`

Method Summary
`void` | `executionResumed(RunnableQueue rq)` Called when the execution of the queue has been resumed.
`void` | `executionSuspended(RunnableQueue rq)` Called when the execution of the queue has been suspended.
`void` | `runnableInvoked(RunnableQueue rq, Runnable r)` Called when the given Runnable has just been invoked and has returned.
`void` | `runnableStart(RunnableQueue rq, Runnable r)` Called just prior to invoking the runnable

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateManager.UpdateManagerRunHander

    protected UpdateManager.UpdateManagerRunHander()

Method Detail

### runnableStart

    public void runnableStart(RunnableQueue rq,
                              Runnable r)

  Description copied from class: `RunnableQueue.RunHandlerAdapter`
  Called just prior to invoking the runnable

  Specified by:
    `runnableStart` in interface `RunnableQueue.RunHandler`
  Overrides:
    `runnableStart` in class `RunnableQueue.RunHandlerAdapter`

### runnableInvoked

    public void runnableInvoked(RunnableQueue rq,
                                Runnable r)

  Called when the given Runnable has just been invoked and has returned.

  Specified by:
    `runnableInvoked` in interface `RunnableQueue.RunHandler`
  Overrides:
    `runnableInvoked` in class `RunnableQueue.RunHandlerAdapter`

### executionSuspended

    public void executionSuspended(RunnableQueue rq)

  Called when the execution of the queue has been suspended.

  Specified by:
    `executionSuspended` in interface `RunnableQueue.RunHandler`
  Overrides:
    `executionSuspended` in class `RunnableQueue.RunHandlerAdapter`

### executionResumed

    public void executionResumed(RunnableQueue rq)

  Called when the execution of the queue has been resumed.

  Specified by:
    `executionResumed` in interface `RunnableQueue.RunHandler`
  Overrides:
    `executionResumed` in class `RunnableQueue.RunHandlerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.